Project

General

Profile

Feature #16484

Remove xmlrpc and net-telnet from bundled gems

Added by hsbt (Hiroshi SHIBATA) 11 months ago. Updated 11 months ago.

Status:
Closed
Priority:
Normal
Target version:
-
[ruby-core:96682]

Description

I added net-telnet(2015) and xmlrpc(2016) to bundled gems. They are the old protocol in 2020.

Should we remove them at Ruby 3.0?

The users can install them from rubygems manually.

Updated by shevegen (Robert A. Heiler) 11 months ago

I don't think I have used either one of them so I may not be the primary
target audience either way.

I only remember having used telnet in the 1990s to connect to oldschool
text MUDs.:D But I guess for ruby in general there is very little net
benefit; and since they are available as gems, I suppose it makes sense
to remove them from the core distribution, and offer them as gems to
those who need them (after all that has been one motivation for
gemifying ruby core releases, so the proposal makes sense to me).

#2

Updated by hsbt (Hiroshi SHIBATA) 11 months ago

  • Status changed from Open to Assigned
#3

Updated by hsbt (Hiroshi SHIBATA) 11 months ago

  • Status changed from Assigned to Closed

Applied in changeset git|62baad9fe17077f8881e8512234cf55563aa9fca.


Removed xmlrpc and net-telnet from the bundled gems.

[Feature #16484][ruby-core:96682]

Also available in: Atom PDF